Subject: bug#62621: 29.0.60; uniquify can't make buffers unique based on things other than filename

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jul 2023 15:14:56 +0300

> Date: Wed, 19 Jul 2023 05:22:56 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 18/07/2023 14:07, Eli Zaretskii wrote:
> >> Date: Tue, 18 Jul 2023 03:34:06 +0300
> >> Cc:[email-masked],[email-masked]
> >> From: Dmitry Gutov<[email-masked]>
> >>
> >>> Repeat after me: Use options whose values are functions
> >>> are hard on our users, because they require them to be Lisp
> >>> programmers.
> >> That doesn't have to be the case. If the defcustom's docstring mentions
> >> several functions that can be used, and the :type widget includes them
> >> as well, the user can decide to switch to any of them without writing
> >> any Lisp (or having to understand the implementations).
> > But that was not so in this particular case.
> 
> That's easy to fix, as long as you don't have additional objections to 
> that approach.

I'd need to see the fix first, because I don't think I have a clear
idea of what you have in mind.

(My objections, btw, where very minor and of pure usability nature.
Frankly, I'm surprised such a simple and more-or-less agreed-upon
comment got such a long thread of discussing various loosely-related
issues.)